BugTraq
[security bulletin] HPESBHF03736 rev.1 - HPE Aruba and HPE ProVision network switches using Diffie Hellman Group1 Sha1 Exchange Algorithm, Remote Disclosure of Information May 04 2017 06:38PM
security-alert hpe com
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Note: the current version of the following document is available here:

https://h20564.www2.hpe.com/hpsc/doc/public/display?docId=emr_na-hpesbhf
03736en_us

SUPPORT COMMUNICATION - SECURITY BULLETIN

Document ID: hpesbhf03736en_us

Version: 1

HPESBHF03736 rev.1 - HPE Aruba and HPE ProVision network switches using

Diffie Hellman Group1 Sha1 Exchange Algorithm, Remote Disclosure of

Information

NOTICE: The information in this Security Bulletin should be acted upon as

soon as possible.

Release Date: 2017-05-04

Last Updated: 2017-05-04

Potential Security Impact: Remote: Disclosure of Information

Source: Hewlett Packard Enterprise, Product Security Response Team

VULNERABILITY SUMMARY

A potential security vulnerability has been identified in certain legacy

versions of HPE Aruba and HPE ProVision network switches. The vulnerability

could be remotely exploited to allow remote disclosure of information.

References:

SUPPORTED SOFTWARE VERSIONS*: ONLY impacted versions are listed.

- HPE Provision Network Switches xx.16.01.0006, xx.15.18.0007,

xx.15.16.0012m and previous versions

- HPE Aruba Network Switches xx.16.01.0006, xx.15.18.0007, xx.15.16.0012m

and previous versions

BACKGROUND

CVSS Base Metrics

=================

Reference, CVSS V3 Score/Vector, CVSS V2 Score/Vector

Information on CVSS is documented in

HPE Customer Notice HPSN-2008-002 here:

https://h20564.www2.hpe.com/hpsc/doc/public/display?docId=emr_na-c013454
99

RESOLUTION

HPE has provided the following updates to resolve this issue. Upgrade the

switch firmware to one of these versions or later and then configure their

secure client applications to use DH group14-sha1 to communicate with the

switch.

**Note:** Please contact HPE Technical Support if any assistance is needed

acquiring the software updates

+ A - Version: A.15.16.0012m (and all previous versions)

* Updated Firmware Version

- A.15.16.0013m (and all subsequent versions)

* HPE Networking impacted products

- J9565A Aruba 2615-8-PoE Switch

- J9562A Aruba 2915-8G-PoE Switch

+ K - Version: K.16.01.0006 (and all previous versions), K.15.18.0010 (and

all previous versions), K.15.16.0012m (and all previous versions)

* Updated Firmware Version

- K.16.01.0007 (and all subsequent versions)

- K.15.18.0011 (and all subsequent versions)

- K.15.16.0013m (and all subsequent versions)

* HPE Networking impacted products

- J8692A ProCurve 3500-24G-PoE yl Switch, J8693A ProCurve

3500-48G-PoE yl Switch

- J9310A ProCurve 3500-24G-PoE+ yl Switch, J9311A ProCurve

3500-48G-PoE+ yl Switch

- J9470A ProCurve 3500-24 Switch, J9471A ProCurve 3500-24-PoE Switch

- J9472A ProCurve 3500-48 Switch, J9473A ProCurve 3500-48-PoE Switch

- J8697A ProCurve E5406 zl Switch Chassis, J8699A ProCurve HP

5406-48G zl Switch

- J9447A ProCurve 5406-44G-PoE+-4SFP zl Switch

- J9533A HP 5406-44G-PoE+-2XG v2 zl Swch w Pm SW, J9539A HP

5406-44G-PoE+-4G v2 zl Swch w Prm SW

- J9642A HP 5406 zl Switch with Premium Software, J9866A HP 5406

8p10GT 8p10GE Swch and Psw

- J8698A ProCurve E5412 zl Intellegent Edge,J8700A ProCurve 5412-96G

zl Intellegent Edge

- J9448A HP ProCurve 5412zl-96G-PoE Plus Switch , J9532A HP

5412-92G-PoE+-2XG v2 zl Swch w Pm SW

- J9540A HP 5412-92G-PoE+-4G v2 zl Swch w Prm SW

- J9643A HP 5412 zl Switch with Premium Software

+ KA - Version: KA 16.01.0006 (and all previous versions), KA 15.18.0010

(and all previous versions), KA 15.16.0012m (and all previous versions), KA

15.10.0018m (and all previous versions)

* Updated Firmware Version

- KA 16.01.0007 (and all subsequent versions)

- KA 15.18.0011 (and all subsequent versions)

- KA 15.16.0013m (and all subsequent versions)

- KA 15.10.0019m (and all subsequent versions)

* HPE Networking impacted products

- J9573A Aruba 3800-24G-PoE+-2SFP+ Switch

- J9574A Aruba 3800-48G-PoE+-4SFP+ Switch

- J9575A Aruba 3800-24G-2SFP+ Switch

- J9576A Aruba 3800-48G-4SFP+ Switch

- J9584A Aruba 3800-24SFP-2SFP+ Switch

- J9585A Aruba 3800-24G-2XG Switch

- J9586A Aruba 3800-48G-4XG Switch

- J9587A Aruba 3800-24G-PoE+-2XG Switch

- J9588A Aruba 3800-48G-PoE+-4XG Switch

+ KB - Version: KB.16.01.0006 (and all previous versions), KB.15.18.0010

(and all previous versions), KB.15.16.0012m (and all previous versions)

* Updated Firmware Version

- KB 16.01.0007 (and all subsequent versions)

- KB 15.18.0008 (and all subsequent versions)

- KB 15.16.0013m (and all subsequent versions)

* HPE Networking impacted products

- J9821A Aruba 5406R zl2 Switch

- J9822A Aruba 5412R zl2 Switch

- J9823A HP 5406R-Gig-T-PoE+/SFP+ v2 zl2 Swch

- J9824A HP 5406R-Gig-T-PoE+/SFP v2 zl2 Swch

- J9825A HP 5412R-Gig-T-PoE+/SFP+ v2 zl2 Swch

- J9826A HP 5412R-Gig-T-PoE+/SFP v2 zl2 Swch

- J9868A HP 5406R-8XGT/8SFP+ v2 zl2 Swch

+ RA - Version: RA.16.01.0006 (and all previous versions), RA.15.18.0010

(and all previous versions), RA.15.16.0012m (and all previous versions)

* Updated Firmware Version

- RA 16.01.0007 (and all subsequent versions)

- RA 15.18.0011 (and all subsequent versions)

- RA 15.16.0013m (and all subsequent versions)

* HPE Networking impacted products

- J9623A Aruba 2620-24 Switch

- J9624A Aruba 2620-24-PPoE+ Switch

- J9625A Aruba 2620-24-PoE+ Switch

- J9626A Aruba 2620-48 Switch

- J9627A Aruba 2620-48-PoE+ Switch

+ WB - Version: WB.16.01.0006 (and all previous versions), WB.15.18.0007

(and all previous versions), WB.15.16.0012m (and all previous versions)

* Updated Firmware Version

- WB 16.01.0007 (and all subsequent versions)

- WB 15.18.0008 (and all subsequent versions)

- WB 15.16.0013m (and all subsequent versions)

* HPE Networking impacted products

- J9726A Aruba 2920-24G Switch

- J9727A Aruba 2920-24G-POE+ Switch

- J9728A Aruba 2920-48G Switch

- J9729A Aruba 2920-48G-POE+ Switch

- J9836A Aruba 2920-48G-POE+ 740W Switch

+ YA - Version: YA.16.01.0006 (and all previous versions), YA.15.18.0010

(and all previous versions), YA.15.16.0012m (and all previous versions)

* Updated Firmware Version

- YA 16.01.0007 (and all subsequent versions)

- YA 15.18.0011 (and all subsequent versions)

- YA 15.16.0013m (and all subsequent versions)

* HPE Networking impacted products

- J9772A Aruba 2530-48G-PoE+ Switch

- J9773A Aruba 2530-24G-PoE+ Switch

- J9774A Aruba 2530-8G-PoE+ Switch

- J9775A Aruba 2530-48G Switch

- J9776A Aruba 2530-24G Switch

- J9777A Aruba 2530-8G Switch

- J9778A Aruba 2530-48-PoE+ Switch

- J9853A Aruba 2530-48G-PoE+-2SFP+ Switch

- J9854A Aruba 2530-24G-PoE+-2SFP+ Switch

- J9855A Aruba 2530-48G-2SFP+ Switch

- J9856A Aruba 2530 24G 2SFP+ Switch,

+ YB - Version: YB.16.01.0006 (and all previous versions), YB.15.18.0010

(and all previous versions), YB.15.16.0012m (and all previous versions)

* Updated Firmware Version

- YB 16.01.0007 (and all subsequent versions)

- YB 15.18.0011 (and all subsequent versions)

- YB 15.16.0013m (and all subsequent versions)

* HPE Networking impacted products

- J9779A Aruba 2530-24-PoE+ Switch

- J9780A Aruba 2530-8-PoE+ Switch

- J9782A Aruba 2530-24 Switch

- J9783A Aruba 2530-8 Switch

HISTORY

Version:1 (rev.1) - 4 May 2017 Initial release

Third Party Security Patches: Third party security patches that are to be

installed on systems running Hewlett Packard Enterprise (HPE) software

products should be applied in accordance with the customer's patch management

policy.

Support: For issues about implementing the recommendations of this Security

Bulletin, contact normal HPE Services support channel. For other issues about

the content of this Security Bulletin, send e-mail to security-alert (at) hpe (dot) com. [email concealed]

Report: To report a potential security vulnerability for any HPE supported

product:

Web form: https://www.hpe.com/info/report-security-vulnerability

Email: security-alert (at) hpe (dot) com [email concealed]

Subscribe: To initiate a subscription to receive future HPE Security Bulletin

alerts via Email: http://www.hpe.com/support/Subscriber_Choice

Security Bulletin Archive: A list of recently released Security Bulletins is

available here: http://www.hpe.com/support/Security_Bulletin_Archive

Software Product Category: The Software Product Category is represented in

the title by the two characters following HPSB.

3C = 3COM

3P = 3rd Party Software

GN = HPE General Software

HF = HPE Hardware and Firmware

MU = Multi-Platform Software

NS = NonStop Servers

OV = OpenVMS

PV = ProCurve

ST = Storage Software

UX = HP-UX

Copyright 2016 Hewlett Packard Enterprise

Hewlett Packard Enterprise shall not be liable for technical or editorial

errors or omissions contained herein. The information provided is provided

"as is" without warranty of any kind. To the extent permitted by law, neither

HP or its affiliates, subcontractors or suppliers will be liable for

incidental,special or consequential damages including downtime cost; lost

profits; damages relating to the procurement of substitute products or

services; or damages for loss of data, or software restoration. The

information in this document is subject to change without notice. Hewlett

Packard Enterprise and the names of Hewlett Packard Enterprise products

referenced herein are trademarks of Hewlett Packard Enterprise in the United

States and other countries. Other product and company names mentioned herein

may be trademarks of their respective owners.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQEcBAEBCAAGBQJZC3PMAAoJELXhAxt7SZaisigH/iPwnCCLG/gde9GMEh+YttMD
8Y9aTpBHX97hHB5Fzy4rokGu8sCgRzZXx8K5mHTqNC92ma/5QajROiZs5DqnWham
50scD1QFgnZc5v5mGo5Y6wahugQaDWoaMWCalhbkpT6Nj9+owtMIB9m2KlY3tBjr
/3wAxJJ1criXAQf9HCB9+KR5rfUhcTAhyJ5DWOzPvz1bUV6mGBBkLtRlbSLQrj0i
QJXzzf/ubJLSaWijvIslQDLGQLi3I9bBYQJg765fUOS118jydgzSKzERnoyCVdt7
sgGdOrMVMqXMIE/4EqD7Z8h0YF1RkiOU9OqdDIsWMl/LCg1H96BFeNYdFnDn6j0=
=4aav
-----END PGP SIGNATURE-----

[ reply ]


 

Privacy Statement
Copyright 2010, SecurityFocus